curl --request POST \
--url https://api.fabric.inc/v3/oms-exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": {
"createdAt": "2022-08-01T20:03:28Z"
},
"module": "ORDER",
"recordFormat": "CSV",
"csvHeadersConfig": "default",
"sort": "+updatedAt, +createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/oms-exports"
payload = {
"filters": { "createdAt": "2022-08-01T20:03:28Z" },
"module": "ORDER",
"recordFormat": "CSV",
"csvHeadersConfig": "default",
"sort": "+updatedAt, +createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: {createdAt: '2022-08-01T20:03:28Z'},
module: 'ORDER',
recordFormat: 'CSV',
csvHeadersConfig: 'default',
sort: '+updatedAt, +createdAt'
})
};
fetch('https://api.fabric.inc/v3/oms-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/oms-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'createdAt' => '2022-08-01T20:03:28Z'
],
'module' => 'ORDER',
'recordFormat' => 'CSV',
'csvHeadersConfig' => 'default',
'sort' => '+updatedAt, +createdAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/oms-exports"
payload := strings.NewReader("{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/oms-exports")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/oms-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}"
response = http.request(request)
puts response.read_body{
"module": "ORDER",
"recordFormat": "CSV",
"version": 2,
"createdAt": "2022-11-22T10:26:38Z",
"csvHeadersConfig": "default",
"exportId": "order_2022-11-25T17-25-38-417225543Z",
"status": "INITIATED",
"totalRecordsExported": 20,
"totalRowsExported": 20,
"updatedAt": "2022-11-22T10:26:38Z",
"url": "https://abc.zip"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Export data by query
Initiate data export by the given filter criteria.
curl --request POST \
--url https://api.fabric.inc/v3/oms-exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"filters": {
"createdAt": "2022-08-01T20:03:28Z"
},
"module": "ORDER",
"recordFormat": "CSV",
"csvHeadersConfig": "default",
"sort": "+updatedAt, +createdAt"
}
'import requests
url = "https://api.fabric.inc/v3/oms-exports"
payload = {
"filters": { "createdAt": "2022-08-01T20:03:28Z" },
"module": "ORDER",
"recordFormat": "CSV",
"csvHeadersConfig": "default",
"sort": "+updatedAt, +createdAt"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filters: {createdAt: '2022-08-01T20:03:28Z'},
module: 'ORDER',
recordFormat: 'CSV',
csvHeadersConfig: 'default',
sort: '+updatedAt, +createdAt'
})
};
fetch('https://api.fabric.inc/v3/oms-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/oms-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'createdAt' => '2022-08-01T20:03:28Z'
],
'module' => 'ORDER',
'recordFormat' => 'CSV',
'csvHeadersConfig' => 'default',
'sort' => '+updatedAt, +createdAt'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/oms-exports"
payload := strings.NewReader("{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/oms-exports")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/oms-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"createdAt\": \"2022-08-01T20:03:28Z\"\n },\n \"module\": \"ORDER\",\n \"recordFormat\": \"CSV\",\n \"csvHeadersConfig\": \"default\",\n \"sort\": \"+updatedAt, +createdAt\"\n}"
response = http.request(request)
puts response.read_body{
"module": "ORDER",
"recordFormat": "CSV",
"version": 2,
"createdAt": "2022-11-22T10:26:38Z",
"csvHeadersConfig": "default",
"exportId": "order_2022-11-25T17-25-38-417225543Z",
"status": "INITIATED",
"totalRecordsExported": 20,
"totalRowsExported": 20,
"updatedAt": "2022-11-22T10:26:38Z",
"url": "https://abc.zip"
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Body
Sample request to export module
Response
OK
Export log details
Number of updates happened to this export document. This gets incremented with every update that happens to the export document. For example, when export of data is initiated, the status is marked INITIATED, then the status gets updated to PROCESSING, and then it's marked FINISHED, thereby the document gets updated thrice. So, the version will be 3.
2
Export log status. INITIATED: Export request is successfully initiated. PROCESSING: Export request is accepted, and the export is under process. FINISHED: Request is successfully completed. Use the GET/exports/{exportId} endpoint to download export records. SYSTEM_ERROR: Request errored out for some reason.
INITIATED, PROCESSING, FINISHED, SYSTEM_ERROR "INITIATED"
Was this page helpful?
